@echo OFF
rem  * *******************************************************************
rem  *               ITDUMPW3.cmd - a Windows Command File               *
rem  *         This program is provided by SimoTime Technologies         *
rem  *           (C) Copyright 1987-2019 All Rights Reserved             *
rem  *             Web Site URL:   http://www.simotime.com               *
rem  *                   e-mail:   helpdesk@simotime.com                 *
rem  * *******************************************************************
rem  * This is a multiple-step job.
rem  * Step 1 of 4 - Initialize the environment
rem  * Step 2 of 4 - Create the Control File
rem  * Step 3 of 4 - Read the VSAM, KSDS and Produce a HEX-Dump output
rem  * Step 4 of 4 - End of Job Processing
rem  *
rem  * *************************************************************1 of 4
rem  * Step 1 of 4,
rem  * Initialize the environment.
     set CmdName=ITDUMPW3
     call ..\Env1BASE %CmdName%
     if "%SYSLOG%" == "" set syslog=c:\SimoLIBR\LOGS\SimoTime.LOG
     set JobStatus=0000
rem  *
     call SimoNOTE "*******************************************************%CmdName%"
     call SimoNOTE "Starting JobName %CmdName%, User is %USERNAME%"
     call SimoNOTE "Continue Step 1 of 4, Initialize the environment."
     set SYSUT1=%BASELIB1%\DATA\APPL\SIMOTIME.DATA.ITEMMAST.dat
     set SYSUT2=%BASELIB1%\DATA\TXT1\SIMOTIME.DATA.ITDUMP03.txt
     set SYSUT3=%BASELIB1%\DATA\TXT1\SIMOTIME.DATA.ITCNTL03.txt
rem  *
rem  * *************************************************************2 of 4
     call SimoNOTE "Continue Step 2 of 4, Prepare Dump and Control Files."
     if exist %SYSUT2% del %SYSUT2%
     echo 000000000091>%SYSUT3%
     call SimoNOTE "DataTAKE is %SYSUT1%"
     call SimoNOTE "DataDUMP is %SYSUT2%"
     call SimoNOTE "DataCNTL is %SYSUT3%"
rem  *
rem  * *************************************************************3 of 4
rem  * Step 3 of 3,
rem  * Dump the File.
     call SimoNOTE "Continue Step 3 of 4, Dump the File."
     run KSBDMPC3
     if not "%ERRORLEVEL%" == "0" set JobStatus=0010
     if not "%JobStatus%" == "0000" goto :EOJNOK
     goto EOJAOK
rem  *
rem  * *************************************************************4 of 4
rem  * Step 4 of 4,
rem  * End of Job Processing.
:EOJNOK
     call SimoNOTE "ABENDING JobName %CmdName%, JobStatus %JobStatus%"
     call SimoNOTE "ABENDING Message JobStatus %JobStatus%"
     goto :EOJ
:EOJAOK
     if exist %SYSUT2% START NOTEPAD %SYSUT2%
     call SimoNOTE "Finished JobName %CmdName%"
:EOJ
     pause
